import React, { useEffect, useState } from 'react'

import { View, Image, Text } from "@tarojs/components";

import { getRank } from "../../api/Rank";

import './index.scss'



const imgUrl =  [
    {
        count: 'http://res.training.luojigou.vip/Fmijl8dAfngLORY1_wQHupkK6O1H',
        top: 'http://res.training.luojigou.vip/FosT3op3qAbtb_AHStAch2Ioi7pD',
        bottom: 'http://res.training.luojigou.vip/FntpZcGDIsZsYYkgosM6s9sBQTDn'
    },
    {
        count: 'http://res.training.luojigou.vip/FvmR-7IPqXwNtI4REBYNmlSecA8D',
        top: 'http://res.training.luojigou.vip/Fldl2pRZblLQVdztOhlODPEhhlQF',
        bottom: 'http://res.training.luojigou.vip/FnPemTe4MKzHzofwZx3cB77dLM3z'
    },
    {
        count: 'http://res.training.luojigou.vip/FnXFslAE0LXmxtlTYWdeGzPU9Qxb',
        top: 'http://res.training.luojigou.vip/FvKskKpeDP68TBe0cg15LY7Zom13',
        bottom: 'http://res.training.luojigou.vip/FieXA8zqeIevUgQlhy5VNXBB6OG4'
    }
]

type RankListType = {
    hotNum: number
    id: string
    imageUrl: string
    name: string
    province: string,
    title: string
}


const Rank: React.FC = () => {

    const [ RankList, setRankList ] = useState<RankListType[]>([])
    
    const [ topThree, setTopThree ] = useState<RankListType[]>([])



    useEffect( () => {
        GetRank()
   
        
    },[])

    // 获取地区排行榜
    const GetRank = async () => {
      const data = await getRank()
      let cacheData = JSON.parse( JSON.stringify(data) )
      
      setRankList(cacheData.splice(3))

      setTopThree(cacheData.splice(0, 3))
    }

    const RenderToeThree = (index: number) => {
        
        // 头像
        const Ava = () =>  {
            switch (index) {
                case 0:
                   return <View>
                            <Image className='first-bg' src='http://res.training.luojigou.vip/Fth2HDhbpMpVZFanOLYDRjlmyAF_' />
                            <Image className='Ava' src={topThree[index].imageUrl} />
                          </View>
             
            
                default:
                    return  <Image className='Ava' src={topThree[index].imageUrl} />
            }
        }
        
        const Count = () => <View className='Count unify-Count'>
                                <Image className='Count-img unify-Count-img' src={imgUrl[index].count} />
                                <Text className='num'>12121</Text>
                            </View> 

        const Top = () => <Image className='Top' src={imgUrl[index].top} />

        const Bottom =  () => <Image className='Bottom' src={imgUrl[index].bottom} />
        return (
            <View>
                <Ava />
                <Count />
                <Top />
                <Bottom />
                <Text className='city-name unify-city-name'>河南</Text>
            </View>
        )
    }

    return (
        <View className='Rank'>
            <Image
              className='rankbg' 
              src={require('../../assets/Rank/rankbg.png')}
            />
            <View className='header'>
                <View className='header-tip'>
                    <View className='big'>
                        地区热度排行榜
                    </View>
                    <View className='small'>
                        地区参与人数
                    </View>
                </View>
            </View>
            {/* 背景图 */}
            <View className='top-three'>
                <Image className='top-bg' mode='aspectFit' src='http://res.training.luojigou.vip/FhueN6Svm_2LjXF4vqMOymO7nnAm' />
                
                <View className='second'>
                    {
                        topThree.length && RenderToeThree(1)
                    }
                </View>
                <View className='first'>
                    {
                        topThree.length && RenderToeThree(0)
                    }
                </View>
                <View className='thirdly'>
                    {
                        topThree.length && RenderToeThree(2)
                    }
                </View>

                <View className='green-shade' />
                
            
            </View>




            <View className='rank-content'>
                {
                    RankList?.map((item, index) => (
                        <View className='rank-content-item'  key={item.name}>
                            <View className='ranking'>
                                {index + 4}
                            </View>
                            <View className='city-ava'>
                                <Image  mode='aspectFill' src={item.imageUrl} />
                            </View>
                            <View className='city-info'>
                                <View className='city-name'>
                                    {item.name}
                                </View>
                                <View className='city-hot'>
                                    <Image mode='aspectFill' src='http://res.training.luojigou.vip/FrJMYoPUctdc_8BaoN9yWddoJyKq' />
                                    <View className='hot-num'>
                                        热度:  <Text> {item.hotNum}</Text> 
                                    </View>
                                </View>
                            </View>
                        </View>
                    ))
                }
                
            </View>
           
        </View>
    )
}

export default Rank