import React from 'react'

import { View, Image, Text } from '@tarojs/components'

import './index.scss'

const Rate: React.FC = () => {
    return (
        <View className='Rate'>
            <View className='ratebg-box'>
                <Text> 答对3题，共18题 </Text>
            </View>
            <Image className='cloud' mode='aspectFill'  src={require('../../assets/Report/cloud.png')} />
            <View className='percent'>
                <View className='correct'>
                    3
                </View>
                <View className='line'>
                    /
                </View>
                <View className='total'>
                    18
                </View>
            </View>
            <Image mode='aspectFill' className='dog' src={require('../../assets/Report/dog.png')} />
            <View className='data'>
                <View>
                    <Text className='label'>总时间：</Text>
                    <Text className='value'>124s</Text>
                </View>
                <View>
                    <Text className='label'>正确率：</Text>
                    <Text className='value'>50%</Text>
                </View>
                <View>
                    <Text className='label'>时间：</Text>
                    <Text className='value'>2020.07.11</Text>
                </View>
            </View>
        </View>
    )
}

const Card: React.FC = () => {
    return (
        <View className='Card'>
            <View className='card-item'>
                <View className='label'>第一关卡片</View>
                <View className='desc'>
                    <View className='type'>逻辑思维</View>
                    <View className='date'>
                        <Image src={require('../../assets/Report/watch.png')} />
                        <Text>35s</Text>
                    </View>
                </View>
                <View className='line'></View>
                <View className='star'>
                   {
                       [1,2,3,4].map( item => (
                        <Image key={item} src={require('../../assets/Report/star.png')} />
                       ))
                   }
                </View>
            </View>
        </View>
    )
}

const PromoteCard: React.FC = () => {
    return (
        <View className='PromoteCard'>
            <View className='content'>
                <View className='label'>数理逻辑能力提升方案</View>
                <View className='desc'>卡片闯关游戏是提升我们能力哦</View>
            </View>
            <Image mode='aspectFill' src={require('../../assets/Report/btn.png')} />
        </View>
    )
}

const Collect: React.FC = () => {
    return (
        <View className='Collect'>
            <Image className='logo' src={require('../../assets/Report/logo.png')} />
            <View className='label'>E20线上作品收集</View>
            <View className='desc-box'>
                <View className='desc'>中国关工委健体中心素质能力培养计划</View>
                <View className='btn'>点击查看</View>
            </View> 
        </View>
    )
}


const FloatCard: React.FC = () => {
    return (
        <View className='FloatCard'>
            <View className='card left'>题卡解析</View>
            <View className='card right'>查看排行榜</View>
        </View>
    )
}
const Report: React.FC = () => {
    return (
        <View className='Report'>
            <Rate />
            <Card />
            <PromoteCard />
            <Collect />
            <FloatCard />
        </View>
    )
}
export default Report

