import React, { useState, useEffect }  from 'react'

import { View, Image, Text } from '@tarojs/components'

import './index.scss'

import { test } from './a'

const TimeCom:React.FC = () => {
    return (
        <View className='TimeCom'>
            <Image  className='watch' src={require('../../assets/TopicPage/watch.png')} />
            <View className='second'>
                <Text>3:00</Text>
            </View>
            <Image className='logo' src={require('../../assets/TopicPage/logo.png')} />
        </View>
    )
}

// 背景板
const BgPanel: React.FC = () => {
    return (
        <View className='BgPanel'>
            <Image className='dog' src={require('../../assets/TopicPage/dog.png')} />
            <Image className='trumpet' src={require('../../assets/TopicPage/trumpet.png')} />
            <View className='tip'>
            小朋友们的衣服都挂在衣架上，请你看一看答
            案栏中的衣服与衣架上哪件衣服是一样的。
            </View>
            
        </View>
    )
} 

const colorList = [ 
    {
        id: 1,
        color: 'red',
        top: 0,
        left: 0
    },
    {
        id: 2,
        color: 'green',
        top: 0,
        left: 0
    },
    {
        id: 3,
        color: 'orange',
        top: 0,
        left: 0
    },
    {
        id: 4,
        color: 'pink',
        top: 0,
        left: 0
    }
]

// 点击的过程卡片
const Course: React.FC = () => {

    const [ colorPond, setColorPond  ] = useState<string[]>(['', '', '', ''])

    const [ fickerIndex, setFickerIndex] = useState<number>(1)

    const [ fickerColor, setFickerColor] = useState<string>('')

    const [ card, setCard ] = useState<Record<string, any>>({})

    const [ opraList, setOpraList ] = useState<Record<string, any>>([])

    const [ fickerId, SetFickerId ] = useState<string>('') 

    useEffect( () => {
        setFickerIndex(colorPond.filter( item => !!item ).length + 1 )
        setFickerColor(colorList[0].color)
        
    }, [colorPond])

    useEffect( () => {
        console.log(test.result);
        
        setCard(test.result.questionCards[0])
    }, [card])

    // 点击选择当前答案  选择当前的颜色

    const clickAnswer = (index: number) => {
        setFickerColor(colorList[fickerIndex].color)
    }

    return (
        <View className='Course'>
            {/*  */}
            <BgPanel />

            {/* 左侧显示面板 */}
            <View className='show-panel'>
                {/* 展示图 */}
                {
                   card.content?.map( (item, index) => (
                       <View 
                         className='game-item' 
                         key={item.id}
                         style={{
                             width: item.pw,
                             height: item.ph,
                             top: item.py,
                             left: item.px
                         }}
                       >
                           {/* 圆 */}
                           <View 
                             className={['round',  item.id === fickerIndex? 'ficker' : ''].join(',')}
                             style={{
                                background: item.color,
                                width: item.iw,
                                height: item.ih,
                                top: item.iy,
                                left: item.ih
                             }}
                           />

                           {/* 图片 */}
                           <Image 
                             className={['show-image', 'show' + index + 1].join(',')}
                             src={item.imgUrl}
                             style={{
                             width: item.w, 
                             height: item.h, 
                             top: item.y, 
                             left: item.x, 
                             position: 'absolute'
                            }}
                           />
                       </View>
                       
                   )) 
                }
                
            </View>
            {/* 右侧选择面板 */}
            <View className='opra-panel' >
                {
                    card.options?.map( item => (
                        <View className='answer-item' key={item.id} onClick={() => clickAnswer(item)}>
                            <View  className='answer-round' v-if='item.selectColor' />
                            <Image  mode='aspectFill' src={item.imgUrl} />
                        </View>
                    ))
                }
            </View>

        </View>
    )
}

const TopicPage: React.FC = () => {
    return (
        <View className='TopicPage'>
            <Image className='bg' src={require('../../assets/TopicPage/bg.png')} />
            <TimeCom />
            <Course />
        </View>
    )
}

export default TopicPage